unit UnitCommon;
interface
uses Types,unitSystem;

type
  TEtatDuJeu=(edjGagne,edjPerdu,edjEnCours,edjErreur);
  TMouseMode=(mmRealClick,mmVirtualClick);

const
  CoordsAutour:array[0..7] of TPoint=((X:-1;Y:-1),(X: 0;Y:-1),(X: 1;Y:-1),
                                      (X:-1;Y: 0),(X: 1;Y: 0),
                                      (X:-1;Y: 1),(X: 0;Y: 1),(X: 1;Y: 1));
  MessagesStatut:array[edjGagne..edjErreur] of string=('Gagn !','Perdu...','En cours...','Erreur !!!');
type
  TSetOfCases=array of TPoint;
  
  TCase=record
          EstDecouverte:boolean;
          EstDeminee:boolean;
          AExplose:boolean;
          NbreMinesAutour:integer;
          NbreCasesAutour:integer;
          NbreDemineeAutour:integer;
          NbreCasesDecouvertesAutour:integer;
          NbreInconnuesAutour:integer;
          //Methode de Jeu
          JouerCetteCase:boolean;
          Methode:TMouseButtons; //(Bouton gauche : c'est une case vide,
                                 //(bouton droit : c'est une case vide)
          OccurencedansSchemas:Cardinal;
          EvaluationStatistique:real; //1 (100%) : Forte probabilit que la mthode
                                      //           de jeu choisie soit bonne 

          //Recherche de schema
          NbreInconnuesAutourDansSchema:integer;
          NbreMinesPotentiellesAutour:integer;
          ATesterDansSchema:boolean;
         end;
  TSchema=array of array of TCase;

         implementation

end.
